Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154831 - attempting to open an _non_ existing config not in /etc/cluster will cause gui to die
Summary: attempting to open an _non_ existing config not in /etc/cluster will cause gu...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 14:35 UTC by Corey Marthaler
Modified: 2009-04-16 20:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 19:53:47 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-14 14:35:11 UTC
Description of problem:
I tried to open a non existing config file and the GUI died:
Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 295, in on_no_conf_open
    self.open_limited(None)
  File "/usr/sbin/system-config-cluster", line 209, in open_limited
    self.model_builder = ModelBuilder(DLM_TYPE, filepath)
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 118, in __init__
    self.object_tree = self.buildModel(None)
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 129, in buildModel
    parent_node = self.parent
AttributeError: ModelBuilder instance has no attribute 'parent'
Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 407, in ?
    runFullGUI()
  File "/usr/sbin/system-config-cluster", line 390, in runFullGUI
    baseapp = basecluster(glade_xml, app)
  File "/usr/sbin/system-config-cluster", line 126, in __init__
    self.configtab = ConfigTab(glade_xml, self.model_builder)
  File "/usr/share/system-config-cluster/ConfigTab.py", line 76, in __init__
    self.reset_tree_model)
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 132, in
__init__
    self.faildom_controller =
FaildomController(self.glade_xml,self.model_builder,reset_tree_model)
  File "/usr/share/system-config-cluster/FaildomController.py", line 27, in __init__
    self.faildoms = self.model_builder.getFailoverDomainPtr()
AttributeError: 'NoneType' object has no attribute 'getFailoverDomainPtr'



Version-Release number of selected component (if applicable):
[root@tank-03 ~]# rpm -qa | grep system-config-cluster
system-config-cluster-0.9.30-1.0

Comment 1 Jim Parsons 2005-04-14 20:21:09 UTC
Doh! Fixed in 0.9.31

Comment 2 Corey Marthaler 2005-04-15 19:53:47 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.